from django import forms
from django.core.validators import (
    MaxValueValidator,
    MinLengthValidator,
    MinValueValidator,
)


class TimeOnlyForm(forms.Form):
    minutes = forms.IntegerField(
        label="Minuty",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    seconds = forms.IntegerField(
        label="Sekundy",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )


class NewTimerForm(TimeOnlyForm):
    name = forms.CharField(
        label="Název", max_length=64, validators=[MinLengthValidator(limit_value=1)]
    )
