from django.core.validators import (
    MaxValueValidator,
    MinLengthValidator,
    MinValueValidator,
)
from django.db import models

# Create your models here.


class OngoingTimer(models.Model):
    name = models.CharField(
        max_length=64,
        verbose_name="Název",
        validators=[MinLengthValidator(limit_value=1)],
    )

    initial_minutes = models.IntegerField(
        verbose_name="Původní Minuty",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    initial_seconds = models.IntegerField(
        verbose_name="Původní sekundy",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    minutes = models.IntegerField(
        verbose_name="Minuty",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    seconds = models.IntegerField(
        verbose_name="Sekundy",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    is_running = models.BooleanField(verbose_name="Aktuálně běží", default=False)

    iteration = models.IntegerField(verbose_name="Iterace", default=0)
